from setuptools import setup, find_packages

with open('src/gvec_to_python/version.py') as f:  
    exec(f.read())

setup(
    name="gvec_to_python",
    version=__version__, # auto-detected from struphy/version.py
    packages=find_packages(),
    package_data={
        'gvec_to_python.testcases': [
            'circ_tok/*.dat',
            'circ_tok/*.ini',
            'ellipstell/newBC_E1D6_M6N6/*.dat',
            'ellipstell/newBC_E1D6_M6N6/*.ini',
            'ellipstell/newBC_E4D6_M6N6/*.dat',
            'ellipstell/newBC_E4D6_M6N6/*.ini',
            'ellipstell_v2/newBC_E1D6_M6N6/*.dat',
            'ellipstell_v2/newBC_E1D6_M6N6/*.ini',
            'ellipstell_v2/newBC_E4D6_M6N6/*.dat',
            'ellipstell_v2/newBC_E4D6_M6N6/*.ini',
            'ellipstell_v2/oldBC_E40D5M6N6/*.dat',
            'ellipstell_v2/oldBC_E40D5M6N6/*.ini',
        ],
        'gvec_to_python': ['Makefile'],
    },
    # list of executable(s) that come with the package (if applicable)s
    scripts=['bin/compile_gvec_to_python',
             ],
    # list of package dependencies (if necessary)
    install_requires=[
        'matplotlib>=3.3.3',
        'numpy>=1.19.5',
        'pandas>=1.2.1',
        'pyccel',
        'scipy>=1.6.0',
        'tqdm>=4.56.0',
        'vtk>=9.0.3',
    ],
    # more information, necessary for an upload to PyPI
    author="Max Planck Institute for Plasma Physics",
    author_email="stefan.possanner@ipp.mpg.de, florian.hindenlang@ipp.mpg.de",
    description="Parse GVEC output in Python",
    license="MIT",
    keywords="plasma physics, fusion, numerical modeling, mhd equilibrium",
)
